class Api::V1::JoinedTeamUsersController < ApplicationController
  before_action :set_joinedTeamUsers, only: %i[show update destroy]
  before_action :check_login

  def index
    render json: JoinedTeamUserSerializer.new(JoinedTeamUser.all).serializable_hash.to_json
  end

  def show
    render json: JoinedTeamUserSerializer.new(@joinedTeamUser).serializable_hash.to_json
  end

  def create
    userId = User.find_by(username: params[:joinedTeamUser][:username]).id
    teamId = Team.find_by(name: params[:joinedTeamUser][:team_name]).id
    jtu = JoinedTeamUser.new(team_id: teamId, user_id: userId, can_edit: false)
    
    if jtu.save
      render json: JoinedTeamUserSerializer.new(jtu).serializable_hash.to_json, status: :created
    else
      render json: { errors: jtu.errors }, status: :unprocessable_entity
    end
  end

  private

  def joinedTeamUsers_params
    params.require(:joinedTeamUser).permit(:team_id, :user_id, :can_edit, :created_at, :updated_at)
  end
  
  def set_joinedTeamUsers
    @joinedTeamUser = JoinedTeamUser.find(params[:id])
  end

end
