require "test_helper"

class Api::V1::JoinedTeamUsersControllerTest < ActionDispatch::IntegrationTest
  setup do
    @joinedTeamUser = joined_team_users(:one)
    @user = users(:one)
    @team = teams(:one)
  end

  # INDEX
  test "should access JoinedTeamUser index" do
    get api_v1_joined_team_users_url,
    headers: { Authorization: JsonWebToken.encode(user_id: @user.id) }, 
    as: :json
    assert_response :success
  end

  test "should forbid JoinedTeamUser index" do
    get api_v1_joined_team_users_url,
    as: :json
    assert_response :forbidden
  end

  # SHOW
  test "should show JoinedTeamUser" do
    get api_v1_joined_team_users_url(@joinedTeamUser),
    headers: { Authorization: JsonWebToken.encode(user_id: @user.id) }, 
    as: :json
    assert_response :success
  end

  test "should forbid show JoinedTeamUser" do
    get api_v1_joined_team_users_url(@joinedTeamUser),
    as: :json
    assert_response :forbidden
  end

  # CREATE
  test "should create joinedTeamUser" do
    assert_difference("JoinedTeamUser.count") do
    post api_v1_joined_team_users_url,
    params: { joinedTeamUser: { team_id: @team.id, user_id: @user.id, can_edit: false } },
    headers: { Authorization: JsonWebToken.encode(user_id: @user.id) }, 
    as: :json
    end
    assert_response :created
  end

  test "should forbid create joinedTeamUser" do
    assert_no_difference("JoinedTeamUser.count") do
      post api_v1_joined_team_users_url,
      params: { joinedTeamUser: { team_id: @team.id, user_id: @user.id, can_edit: false } },
      as: :json
    end
    assert_response :forbidden
  end
  

end
